{
    attributes = (
        {
            columnName = CLOC_KEY; 
            externalType = NUMBER; 
            name = clocKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MUX_CODE; 
            externalType = VARCHAR2; 
            name = mueCode; 
            valueClassName = NSString; 
            width = 15; 
        }, 
        {
            columnName = MUX_HORAIRE_ETU; 
            externalType = NUMBER; 
            name = mueHoraireEtu; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = MUX_KEY; 
            externalType = NUMBER; 
            name = mueKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MUX_LIBELLE; 
            externalType = VARCHAR2; 
            name = mueLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = MUX_POINTS; 
            externalType = NUMBER; 
            name = muePoints; 
            precision = 4; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = MUX_KEY; 
            externalType = NUMBER; 
            name = muxKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (muxKey); 
    className = EOGenericRecord; 
    classProperties = (
        muxKey, 
        mueCode, 
        mueLibelle, 
        mueHoraireEtu, 
        muePoints, 
        fannKey, 
        toScolFormationAnnee, 
        clocKey, 
        toScolConstanteLocalisation, 
        mueKey
    ); 
    externalName = SCOL_MAQUETTE_UE_X; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteUeX; 
    primaryKeyAttributes = (muxKey); 
    relationships = (
        {
            destination = ScolConstanteLocalisation; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = clocKey; sourceAttribute = clocKey; }); 
            name = toScolConstanteLocalisation; 
        }, 
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }
    ); 
}
